Package org.apache.sling.discovery.commons.providers.base

# Class ViewStateManagerFactory

java.lang.Object
org.apache.sling.discovery.commons.providers.base.ViewStateManagerFactory

public class ViewStateManagerFactory extends Object
Used to create an implementation classes of type ViewStateManager (with the idea to be able to leave the implementation classes as package-protected)

## Constructor Summary

Constructors
Constructor
Description
`ViewStateManagerFactory()`

## Method Summary

Modifier and Type
Method
Description
`static ViewStateManager`
`newViewStateManager(Lock lock, ClusterSyncService consistencyService)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ViewStateManagerFactory

public ViewStateManagerFactory()

## Method Details

### newViewStateManager

public static ViewStateManager newViewStateManager(Lock lock, ClusterSyncService consistencyService)